framework:
    workflows:
        inscripcion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Inscripciones\Inscripcion
            initial_marking: Presentada
            places:
                - Presentada
                - Admitida
                - Rechazada
                - Excepcional
                - Excepcional_Desestimada
                - Desestimada
                - Desistida
            transitions:
                excepcional:
                    from: Presentada
                    to: Excepcional
                admitir:
                    from: [ Presentada, Rechazada, Desestimada ]
                    to:   Admitida
                rechazar:
                    from: [ Presentada, Admitida, Desestimada ]
                    to:   Rechazada
                desestimar:
                    from: [ Presentada, Admitida, Rechazada ]
                    to:   Desestimada
                desestimar_excepcional:
                    from: Excepcional
                    to: Excepcional_Desestimada
                desistir:
                    from: [ Presentada, Admitida, Rechazada, Desestimada ]
                    to:   Desistida
        inscripcion_eximido:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\InscripcionesEximidos\InscripcionEximido
            initial_marking: Solicitada
            places:
                - Solicitada
                - Admitida
                - Rechazada
                - Desestimada
                - Desistida
            transitions:
                admitir:
                    from: [ Solicitada, Rechazada, Desestimada ]
                    to:   Admitida
                rechazar:
                    from: [ Solicitada, Admitida, Desestimada ]
                    to:   Rechazada
                desestimar:
                    from: [ Solicitada, Admitida, Rechazada ]
                    to:   Desestimada
                desistir:
                    from: [ Solicitada, Admitida, Rechazada, Desestimada ]
                    to:   Desistida
        eva_inscripcion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Evaluacion\EVAInscripcion
            initial_marking: Trabajado
            places:
                - Trabajado
                - Tomado
            transitions:
                tomar:
                    from: Trabajado
                    to:   Tomado
                liberar:
                    from: Tomado
                    to:   Trabajado
        notificacion:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Notificacion\Notificacion
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
            transitions:
                guardar:
                    from: Borrador
                    to:   Borrador
                publicar:
                    from: [Borrador, Publicado]
                    to:   Publicado
                despublicar:
                    from: Publicado
                    to:   Borrador
        notificacion_usuario:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Notificacion\NotificacionUsuario
            initial_marking: Publicado
            places:
                - Publicado
                - Enviado_mail
                - Leido
            transitions:
                enviado_mail:
                    from: Publicado
                    to:   Enviado_mail
                leido:
                    from: [ Enviado_mail, Publicado ]
                    to:   Leido
        convocatoria:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Convocatorias\Convocatoria
            initial_marking: Borrador
            places:
                - Borrador
                - Publicada
                - EvaluacionCerrada
            transitions:
                publicar:
                    from: Borrador
                    to:   Publicada
                cerrar:
                    from: Publicada
                    to:   EvaluacionCerrada
                reabrir:
                    from: EvaluacionCerrada
                    to:   Publicada
                evaluar:
                    from: Publicada
                    to: Publicada
        desistimiento_concurso:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Vacante\DesistimientoConcurso
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
                - Eliminado
            transitions:
                publicar:
                    from: Borrador
                    to:   Publicado
                despublicar:
                    from: Publicado
                    to:   Borrador
                eliminar:
                    from: [ Borrador, Publicado ]
                    to:   Eliminado
        toma_examen_fecha:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\Examen\TomaExamenFecha
            initial_marking: Cronograma
            places:
                Cronograma:
                    metadata:
                        num_estado: 10
                Examinandos:
                    metadata:
                        num_estado: 20
                Presentismo:
                    metadata:
                        num_estado: 30
                Resultados:
                    metadata:
                        num_estado: 40
                Consolidado:
                    metadata:
                        num_estado: 50
            transitions:
                consolidar:
                    from: ['Resultados']
                    to: ['Consolidado']
        toma_posesion_eyv:
            type: 'state_machine'
            audit_trail:
                enabled: true
            marking_store:
                type: 'method'
                property: 'estado'
            supports:
                - App\Entity\TomaPosesion\TomaPosesionEYV
            initial_marking: Borrador
            places:
                - Borrador
                - Publicado
            transitions:
                publicar:
                    from: Borrador
                    to:   Publicado
                despublicar:
                    from: Publicado
                    to:   Borrador
                